/* CCS Cascading Style-Sheets */
/* © Oliver Krause 2023 */

/* Globale Einstellungen */

/* montserrat-regular - latin */
@font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 400;
    src: url('fonts/montserrat/montserrat-v25-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('fonts/montserrat/montserrat-v25-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('fonts/montserrat/montserrat-v25-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('fonts/montserrat/montserrat-v25-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('fonts/montserrat/montserrat-v25-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('fonts/montserrat/montserrat-v25-latin-regular.svg#Montserrat') format('svg'); /* Legacy iOS */
  }
  
  /* montserrat-700 - latin */
  @font-face {
    font-family: 'Montserrat';
    font-style: normal;
    font-weight: 700;
    src: url('fonts/montserrat/montserrat-v25-latin-700.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('fonts/montserrat/montserrat-v25-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('fonts/montserrat/montserrat-v25-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
         url('fonts/montserrat/montserrat-v25-latin-700.woff') format('woff'), /* Modern Browsers */
         url('fonts/montserrat/montserrat-v25-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
         url('fonts/montserrat/montserrat-v25-latin-700.svg#Montserrat') format('svg'); /* Legacy iOS */
  }
  
  /* lato-regular - latin */
@font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/lato/lato-v23-latin-regular.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('/fonts/lato/lato-v23-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/fonts/lato/lato-v23-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
         url('/fonts/lato/lato-v23-latin-regular.woff') format('woff'), /* Modern Browsers */
         url('/fonts/lato/lato-v23-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/fonts/lato/lato-v23-latin-regular.svg#Lato') format('svg'); /* Legacy iOS */
  }
  
  /* lato-italic - latin */
  @font-face {
    font-family: 'Lato';
    font-style: italic;
    font-weight: 400;
    src: url('/fonts/lato/lato-v23-latin-italic.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('/fonts/lato/lato-v23-latin-italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/fonts/lato/lato-v23-latin-italic.woff2') format('woff2'), /* Super Modern Browsers */
         url('/fonts/lato/lato-v23-latin-italic.woff') format('woff'), /* Modern Browsers */
         url('/fonts/lato/lato-v23-latin-italic.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/fonts/lato/lato-v23-latin-italic.svg#Lato') format('svg'); /* Legacy iOS */
  }
  
  /* lato-700 - latin */
  @font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 700;
    src: url('/fonts/lato/lato-v23-latin-700.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('/fonts/lato/lato-v23-latin-700.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/fonts/lato/lato-v23-latin-700.woff2') format('woff2'), /* Super Modern Browsers */
         url('/fonts/lato/lato-v23-latin-700.woff') format('woff'), /* Modern Browsers */
         url('/fonts/lato/lato-v23-latin-700.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/fonts/lato/lato-v23-latin-700.svg#Lato') format('svg'); /* Legacy iOS */
  }
  
  /* lato-700italic - latin */
  @font-face {
    font-family: 'Lato';
    font-style: italic;
    font-weight: 700;
    src: url('/fonts/lato/lato-v23-latin-700italic.eot'); /* IE9 Compat Modes */
    src: local(''),
         url('/fonts/lato/lato-v23-latin-700italic.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
         url('/fonts/lato/lato-v23-latin-700italic.woff2') format('woff2'), /* Super Modern Browsers */
         url('/fonts/lato/lato-v23-latin-700italic.woff') format('woff'), /* Modern Browsers */
         url('/fonts/lato/lato-v23-latin-700italic.ttf') format('truetype'), /* Safari, Android, iOS */
         url('/fonts/lato/lato-v23-latin-700italic.svg#Lato') format('svg'); /* Legacy iOS */
  }
  


html, body {
    scroll-behavior: smooth;
    padding: 0;
    margin: 0;
    z-index:0;
}

body {
    background: #F8F8FF;
}

a,a:visited {
    color: inherit;
    text-decoration:none;
}
a.mail {
    text-decoration:underline;
}
hr {
    border: 0;
    color: #000000;
    background-color: #000000;
    height: .2rem;
}


.max-width {
    max-width: 1500px;
    margin: auto;
}



/* Landing */

/* Style the video: 100% width and height to cover the entire window */
#showreel {
    position: relative;
    margin:0 auto;
    bottom: 0;
    right: 0;
    min-width: 100%;
    #max-width: 1600px;
    #min-height: 50vh;
    overflow:hidden;

    height: 50vh; /* Use vh as a fallback for browsers that do not support Custom Properties */
    height: calc(var(--vh, 1vh) * 50); /* Percent of video fill */
    width: 100vw;
    z-index: 0;
  }

#showreel video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    background-color: #393939;
}

#showreel-landing {
    position: relative;
    margin:0 auto;
    bottom: 0;
    right: 0;
    min-width: 100%;
    #min-height: 100vh;

    height: 100vh; /* Use vh as a fallback for browsers that do not support Custom Properties */
    height: calc(var(--vh, 1vh) * 100); /* Percent of video fill */
    width: 100vw;
    z-index: 0;
}

#showreel-landing video { 
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    background-color: #393939;
}

#header {
    width: 100%;
    position: absolute;

    #color: #DBA751;
    color: #F8F8FF;

    animation:titlein 2s ease-out;
    animation-fill-mode: backwards;
}

@keyframes titlein{
    from{opacity:0}
    to{opacity:1}
}



.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}



#navbar-sticky {
    opacity: 0;

    position: -webkit-sticky;
    position: sticky;
    top:0;

    #background-color:#F8F8FF;
    #color: #000000;

    background-color: black;
    color:#F8F8FF;

    overflow:hidden;
    z-index:20;

    transition: opacity 0.3s;
}

#nav-logo {
    #opacity:0;
    transition: opacity 0.3s;
}

#nav-logo h1 {
    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    font-size: 1rem; 
    text-transform: uppercase;
    margin: 0;
    margin-top: .5rem;
}

#nav-logo h2 {
    font-family: "Montserrat", sans-serif;
    font-weight: normal;
    font-size: 0.8rem;
    text-transform: uppercase;
    margin: 0;
}


#nav-landing {

    width:100%; 
    color:#F8F8FF;
    font-family: "Montserrat",Arial,Sans-serif;
    font-weight: normal;
    text-transform: uppercase;
    font-size:1.3rem;
    line-height: 3.5rem;
    word-spacing: 4rem;
}


#nav-topMenu {
    display:none;
    #background-color: #DBA751;
    background-color: lightslategrey;

    padding-top:30vh;

    color: #F8F8FF;
    font-family: 'Montserrat',Arial,Sans-serif;
    font-weight:normal;
    text-transform: uppercase;
    font-size:2rem;
    word-spacing: 4rem;

    z-index:999;
}


a.nav {
}

span.nav {
    border-top: 0.1rem solid ;
    border-bottom: 0.1rem solid ;

    position:relative;
    bottom: 0rem;
    transition: bottom 0.3s;
}
   
span.nav:hover {
    bottom:0.2rem;
}

.nav1ani {
    animation: faderise 0.8s ease 1s;
    animation-fill-mode: backwards;
}
.nav2ani {
    animation: faderise 0.8s ease 1.4s;
    animation-fill-mode: backwards;
}
.nav3ani {
    animation: faderise 0.8s ease 1.8s;
    animation-fill-mode: backwards;
}

@keyframes faderise{
    from{bottom:-1.5rem;opacity:0}
    to{bottom:0;opacity:1}
}



#content {

    margin: auto;
    #overflow: hidden;
    padding: 0;

    font-size:0.8rem;
    font-family: "Lato", "Lucida Grande",Helvetica,Arial,Sans-serif;
    font-weight: normal;
    color: #000000;

    text-align:justify;

    #background: #fefdfb;
    #background: #FAFAFA;
    #background: #fcf6ee;   
    #max-width:1600px; 
    
}


div#content-wrap {
    #max-width:1600px;
    margin: auto;
    overflow: hidden;

    font-size:0.8rem;
    font-family: "Lato", "Lucida Grande",Helvetica,Arial,Sans-serif;
    font-weight: normal;
    color: #000000;

    text-align:justify;    
}




#imprint {
    margin-top: 8rem;
    padding-top:4rem;
    padding-bottom:4rem;
    background-color: lightgrey;
    font-size:0.7rem;
    font-family: "Montserrat", sans-serif;
    font-weight:lighter;
    text-transform: uppercase;
    text-align:center;
}

#imprint-landing {
    color:#F8F8FF;
    padding:1rem;

    font-size:0.7rem;
    font-family: "Montserrat", sans-serif;
    font-weight:lighter;
    text-transform: uppercase;
    text-align:right;
}
    


#showcase {
    position:absolute;
    margin-top:1.5em;
    margin-left:16.7em;
    width:35em;
    height:19.5em;
    overflow:hidden;
    border:0.4em solid #000000;
}

 
h1 {

    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    font-size: 2.5rem; 
    text-transform: uppercase;
}

h2 {
    font-family: "Montserrat", sans-serif;
    font-weight: normal;
    font-size: 1.2rem;
    text-transform: uppercase;  
}


h3 {
    font-family: "Montserrat",sans-serif;
    font-weight: bold;
    font-size:1.5rem;
    padding:.2em;
    padding-left:.3em;
    padding-right:.3em;
    text-transform: uppercase;
    text-align: center;
}


h4 {
    font-family: "Montserrat",sans-serif;
    font-weight: normal;
    text-transform: uppercase;
    font-size:1em;
}


h5 {
    font-family: "Montserrat",sans-serif;
    font-weight: normal;
    
    margin-top:-.2em;
    color:#FFFFFF;
    font-size:2em;
    padding:.2em;
    padding-left:.3em;
    padding-right:.3em;
    background:#000000;
    text-transform: uppercase;
    display: inline-block;

}

h5 {
    margin:.2em;
    font-size:1.6em;
}


.mt-text {

    font-size:.9rem;
    font-weight:bold;
    font-family: "Montserrat",sans-serif;
    text-transform:uppercase;

}

.montserrat {
    font-family: "Montserrat",sans-serif;
    text-transform: uppercase;
}





/* CLASSES */



.slide {
    position:absolute;
}

img.slideshow {
    width:35em;
}







a.headcaption {

    color: #FFFFFF;
    width:14.5em;  
    opacity:0;
    position:absolute;
    margin-top: 4.5em;
    padding:1em;
    padding-left:2em;
    background-color: #303030;
    font-size:2em;

}




a.caption-neu {

    color: #FFFFFF;
    text-align:left;
    #width:100%;
    #max-width:20rem;  

    position:absolute;
    #margin-top:6.5em;
    padding:1.5em;
    background-color: #303030;
    font-size:1.2em;
    padding-left: 3em;
    #z-index: 10;

}


.list {

    text-align:left;
    line-height:1.7em;
    list-style-type:square;

}





/* KONTAKT */

img.social-icon {
    margin:.6rem;
    width:2.5rem;
}


.float {

    display:inline-block;

}








/* PORTFOLIO */

#laurels {

    
    max-width:1400px;
    max-width:90%;
    margin:0 auto;

}


img.laurels1 {

    max-height:2.2rem;
    height:auto;
    width:auto;
    margin:0.1rem;

}

img.laurels2 {

    max-height:1.6rem;
    height:auto;
    width:auto;
    #margin:0.1rem;

}


.laurels-grid {

    display: flex;
    #flex-wrap: wrap;
    flex-flow: row wrap;

    grid-gap: 1rem;
    justify-content: space-evenly;
    align-content: space-evenly;
}




.portfolio-grid {

}



img.portfolio {

    height:auto;

}


div#filminfo {

    max-width:60rem;
    margin: 0 auto;
    font-size:1.1em;

}

.film {
    #padding:1em;
    transform: scale(0.9);
    -webkit-transform: scale(0.9);
    
    #max-width:40%;
    #display:inline-block;

}



figure { 
    margin:0 auto;
    position: relative;
    overflow: hidden;
    
    #display:grid;

    #aspect-ratio: 16 / 9;
    object-fit: cover;

}


figure figcaption {

    color: #FFFFFF;
    font-size:1.1rem;
    text-align: left;
    font-family: "Lato", "Montserrat","Lato";

    width:100%;
    height:100%;

    visibility: hidden;
    opacity:0;
    margin: auto;

    #background-color: #303030;
    background: #DBA751;

    padding-left:10%;
    padding-top: 20%;

    position: absolute;
    top:0;
    left:0;

    transition: visibility 0.3s, opacity 0.3s;
    -webkit-transition: visibility 0.3s, opacity 0.3s;
}


.ontap, .film:hover figcaption, .film.hover figcaption, .film:active figcaption, .film.active figcaption {
    visibility: visible;
    opacity: 0.8;
}


@media screen and (min-width: 601px) and (max-width: 993px) {
	.caption {
        font-size: 95%;
        padding-top: 10%;
	}

}



figure img {

    width:100%;
    #max-width:25em;

}



.embed-container { 
    position: relative; 
    padding-bottom: 56.25%; 
    height: 0; 
    overflow: hidden; 
    max-width: 100%; 

}

.embed-container iframe, .embed-container object, .embed-container embed {
     position: absolute; 
     top: 0; 
     left: 0; 
     width: 100%; 
     height: 100%; 
}


#slidy-container { 
  width: 100%;
  margin: 0 auto;
  overflow: hidden;
}


#festivallist {

    text-align:left;
    line-height:1.7em;
    list-style-type:square;
    text-transform:uppercase;
    width:100%;
    max-width:35rem;
    margin:0 auto;
    font-size:0.9em;

}


.filminfo {
    width:90%;
    max-width:35rem;
    margin:0 auto;
}

.synopsis {
    
    text-align:justify;

}

.credits {

text-align:center;

}

.winner {
font-family: "Montserrat", sans-serif;
font-weight:normal;
}